Bug 1416495 - Firefox build from Fedora cannot decode and encode VP8 video in webrtc
Summary: Firefox build from Fedora cannot decode and encode VP8 video in webrtc
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 15:54 UTC by Simon Eisenmann
Modified: 2017-12-12 10:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:45:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Simon Eisenmann 2017-01-25 15:54:06 UTC
Description of problem:
When doing WebRTC with a video stream from or to Firefox from the Fedora repository does not receive and send video.

The very same with Firefox from the tarball as provided by Mozilla works just fine.

Video codec in offer/answer SDP is VP8.

Version-Release number of selected component (if applicable):
Firefox 50.1.0-3.fc25

How reproducible:
Always.

Steps to Reproduce:
1. Go to https://appr.tc
2. Join a room
3. Grant cam/mic access
4. Local camera will show
5. Join the same room with another tab (copy the URL from the previous tab)
6. Grant cam/mic access
7. Local camera will show
4. Press join on the second tab

Actual results:
Only the local video shows, essentially nothing happens after join as no video is received / sent.

Expected results:
Page should flip and show the remote video big and the local video as a small overlay on the bottom right.


Additional info:
To see it working, do the same with the Firefox binary tarball as downloaded from https://www.mozilla.org (make sure to stop any running Firefox, before  between the two).

Comment 1 Martin Stransky 2017-01-30 10:08:19 UTC
Works for me with firefox-51.0.1-1.fc25.x86_64. Can you try a fresh profile?

Comment 2 Simon Eisenmann 2017-01-30 10:41:33 UTC
In reply to Martin Stransky from comment #1)
> Works for me with firefox-51.0.1-1.fc25.x86_64. Can you try a fresh profile?

Nope, not for me, also not with a fresh profile. Essentially the whole system is fresh. Installed fc25 in virtualbox from the live cd. Default Firefox as installed there does not work. Load Firefox from Mozilla, works. Update Fedora Firefox to latest with dnf (which currently results in firefox-51.0.1-1.fc25.x86_64) also does not work.

Fedora Firefox is started with:
PROFILE=$(mtempd -d) && echo $PROFILE && /usr/bin/firefox -profile $PROFILE -no-remote -new-instance && echo $PROFILE && rm -rf $PROFILE

And the one from Mozilla:
PROFILE=$(mtempd -d) && echo $PROFILE && ./firefox -profile $PROFILE -no-remote -new-instance && echo $PROFILE && rm -rf $PROFILE



I initially found the behavior on a native machine where i got the report that WebRTC does not work with Fedora Firefox, and then reproduced in Virtualbox.

Comment 3 Martin Stransky 2017-01-30 10:50:07 UTC
Is there any error in browser console? Tools -> Web Developer -> Browser console. How do you set the VP8 codec?

Comment 4 Simon Eisenmann 2017-01-30 11:05:24 UTC
(In reply to Martin Stransky from comment #3)
> Is there any error in browser console? Tools -> Web Developer -> Browser
> console. How do you set the VP8 codec?

Unfortunately not. Also Firefox 51 got support for VP9 and appr.tc seems to use it by default. So i guess the issue is about VPX as neither VP8 as used in Firefox 50 nor VP9 in Firefox 51 work. Both work with the tarballs downloaded from Mozilla (in 50 and 51).

Also the SDPs in about:webrtc are fine and all appears good. Video data seems to flow both directions (outbound and inbound rtp_video data increases when refreshing about:webrtc). Audio also works just fine (a bit hard to test on a single machine due to AEC though).

Comment 5 Fedora End Of Life 2017-11-16 18:37:23 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:45:46 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.